<template>
  <app-header />
  <div class="onboarding">
    <div class="container">
      <h3>Онбординг</h3>
      <div class="onboarding-info" v-if="step === 1">
        <img :src="require('../../assets/onboarding1.svg')" alt="" />
        <p>
          Ищите события рядом с вами. Откликайтесь на события. Для подтверждения
          участия в событии, вам нужно показать ваш QR-код из профиля
          организатору.
        </p>
      </div>
      <div class="onboarding-info" v-if="step === 2">
        <img :src="require('../../assets/onboarding2.svg')" alt="" />
        <p>
          Учавствуйте в событиях и зарабатывайте опыт. Чем выше уровень, тем
          выше вы будете подниматься в рейтенге и тем чаще будете появляться в
          топе вашего города. Отличный способ прославиться!
        </p>
      </div>
      <div class="onboarding-info" v-if="step === 3">
        <img :src="require('../../assets/onboarding3.svg')" alt="" />
        <p>
          Просматривайте организации в вашем городе, вступайте в них и
          добавляйтесь в чат организации.
        </p>
      </div>
      <div class="onboarding-info" v-if="step === 4">
        <img :src="require('../../assets/onboarding4.svg')" alt="" />
        <p>
          Подписывайтесь на новые события и текстовые уведомления от
          организаций, будьте в курсе всего!
        </p>
      </div>
      <div class="onboarding-action">
        <v-btn
          color="blue"
          variant="contained-flat"
          @click="nextStep"
          size="large"
        >
          Далее
          <v-icon color="white" aria-hidden="false"> mdi-chevron-right </v-icon>
        </v-btn>
      </div>
    </div>
  </div>
</template>

<script>
import AppHeader from "@/components/AppHeader";
export default {
  name: "OnboardingView",
  components: { AppHeader },

  data() {
    return {
      step: 1,
    };
  },

  methods: {
    nextStep() {
      if (this.step === 4) {
        this.$router.push({ name: "Feed" });
        return;
      }

      this.step++;
    },
  },
};
</script>

<style scoped lang="scss">
.onboarding {
  padding: 64px 0 64px;
  height: 100%;
  > .container {
    height: 100%;
    position: relative;
    > h3 {
      font-style: normal;
      font-weight: 400;
      font-size: 24px;
      line-height: 18px;
      text-align: center;
      margin: $base-space * 8 0 0;

      color: #212121;
    }
  }
  &-info {
    height: calc(100% - 120px);
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    > img {
      width: 100%;
      margin: 0 0 ($base-space * 6);
    }
    > p {
      font-weight: 400;
      font-size: 16px;
      line-height: 18px;
      text-align: center;
      color: #212121;
      max-width: 80%;
    }
  }
  &-action {
    width: 100%;
    position: absolute;
    bottom: 40px;
    > button {
      width: 100%;
    }
  }
}
</style>
